List Engagements
/unified/crm/engagements
Query Parameters
Refer Specifying query parameters in Truto APIs
The engagement's type - call, email, meeting or raw response
callchatemailmeetingtask
21 supported10 required5 notes
callemailmeetingchatemailmeetingcallemailchatmeetingemailmeetingThe engagement's type
callmeetingcallmeetingcallemailcallemailmeetingThe engagement's type
callmeetingtaskcallemailmeetingcallemailmeetingThe engagement's type - call, email, meeting or raw type. Applicable only when account is also present.
callmeetingThe engagement's type
callemailmeetingThe engagement's type. Required unless contact_id is also present. If specifying contact_id, this shouldn't be specified.
The start_time of the engagements. Must be before the end_time and date range should not exceed one year
14 supported1 required
The end_time of the engagements. Must be after the start_time and date range should not exceed one year
12 supported1 required
The engagement's contacts
20 supported3 notes
Filter based on the contact of the engagements. Applicable only when account is also present.
Contact associated with the engagement. Required when engagement_type is email.
Contact is required when engagement_type is meeting.
The contact's unique identifier
The engagement's opportunity
11 supported
The opportunity's unique identifier
Filter based on the account of the engagements
14 supported
The account's unique identifier
Filter based on the owner of the engagements. Applicable only when account is also present.
18 supported
The owner's unique identifier
The date and time of the engagement's creation
17 supported
1 supported
Set this value only when engagement type is email.
18 supported
1 supported
Lead associated with the engagement
7 supported
The unique identifier for the lead.
The engagement's status
10 supported
The date and time of the engagement's last update
15 supported
3 supported1 required3 notes
The contact's unique identifier
The contact's unique identifier. Required unless engagement_type is also present. If specifying engagement_type, this shouldn't be specified.
The contact's unique identifier. Required when engagement_type is email.
The engagement type's unique identifier
1 supported
created_atend_timesubjectupdated_at
3 supported
created_atupdated_atcreated_atupdated_atsubjectcreated_atend_timeSet this value only when engagement type is email.
18 supported
Set this value only when engagement type is email.
7 supported
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Engagements
The engagement's unique identifier
21 supported
The engagement's account
14 supported
1 property
The account's unique identifier
The engagement's contacts
20 supported
1 property
The contact's unique identifier
The engagement's content
18 supported
The date and time of the engagement's creation
17 supported
All the custom fields present on the engagement
1 supported
The engagement's direction
7 supported
The engagement's duration
7 supported
The engagement's end time
12 supported
The engagement's type - call, email, meeting or raw response
21 supported
The engagement's internal notes
1 supported
The engagement's lead
7 supported
1 property
The lead's unique identifier
The engagement's notes
2 supported
1 property
The note's unique identifier
The engagement's opportunity
11 supported
1 property
The opportunity's unique identifier
The engagement's owner
18 supported
1 property
The owner's unique identifier
4 supported
4 properties
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
The engagement's project
2 supported
1 property
The project's unique identifier
Raw data returned from the remote API call.
The engagement's start time
14 supported
The engagement's status
10 supported
The engagement's subject
18 supported
The date and time of the engagement's last update
15 supported
curl -X GET 'https://api.truto.one/unified/crm/engagements?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/engagements?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/engagements"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'engagements',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"engagements",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())